set term postscript color
set out "rapkols.ps"

# Just change the following number F (latitude) here and in the title below
#  to get a diagram for another northern latitude:
L=800
set title "Various solar collectors at 800 W/m2, per brutto area" \
  font "Helvetica,16"


set grid mxtics xtics ytics
set xtics 20
set mxtics 2
set ytics 10
#set param
#set size ratio 0.5
#set size ratio 0.25


set xlabel "Temperature difference between the fluid and the air / 1 K"
          
#set label "(plotted by Gnuplot with a script by Jenik Hollan)" \
#	    at 0,-15 center font "Helvetica,9"  
set ylabel "Efficiency / 1 %" 

eff(x)=100*BE*(A0 -  A1 * x / L  -  A2 * x**2 / L)

set multiplot
set linestyle 1 lw 10 
set linestyle 2 lt 5 lw 10
set linestyle 3 lw 10
set linestyle 4 lw 10

BE=1
A0=0.603
A1=1.42
A2=0.0015
set label  "vakuove trubice" at 80,47.5 left

#plot [-9:9] [-140:140] [0:70] asin(SA(t))/R, 90-(asin(SZ(t))/R)
plot [0:100] [0:100] eff(x) notitle with lines 1 lw 4

#A0=0.549
#A1=0.65
#A2=0.0031
#replot 

# Vacusol VS 38 arsenal old
#A0=0.478
#A1=0.89
#A2=0.025
#set label  "21.12." at 0,LH(D) center


A0=0.730
A1=2.40
A2=0.0118
set label  "plochy hi-tech" at 38,62.5 left
plot [0:100] [0:100] eff(x) notitle lt 2 lw 4

# AEE-K-Tinox-1 arsenal old
#A0=0.694
#A1=3.18
#A2=0.012
#set label  "21.12." at 0,LH(D) center
#replot 

# HK 2/89 Dispersionsfarbe arsenal old
BE=2.1456/2.367
A0=0.766
A1=6.74
A2=0.028
set label  "plochy low-tech" at 45,32.5 left
plot [0:100] [0:100] eff(x) notitle with lines 3 lw 4
#replot 

# estimated bare absorber with insulated bottom
BE=1
A0=0.85
A1=13
A2=0
set label  "- izolovany" at 46.5,7.5 right
plot [0:100] [0:100] eff(x) notitle with lines 4
#replot 

# estimated bare absorber with bare bottom
BE=1
A0=0.85
A1=20
A2=0
set label  "plastovy - holy" at 29,7.5 right
replot 

set nomultiplot

